Update the retention period of an EBR policy
Updates the retention period for an Event Based Retention (EBR) policy to adjust how long data is retained based on events. Use this when you need to modify retention settings to meet compliance or data management requirements.
HTTP method and endpoint
PATCH /storage/snaplock/event-retention/policies/{policy.name}
Introduced in
ONTAP 9.7
Usage notes
Updates the retention period of an Event Based Retention (EBR) policy.
Related ONTAP commands
-
snaplock event-retention policy modify
Example
Updates the retention period of an EBR policy "policy_name":
PATCH "/api/storage/snaplock/event-retention/policies/{policy.name}" '{"retention_period": "P20Y"}'
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
policy.name |
string |
path |
True |
Name of the retention policy |
Request Body
| Name | Type | Description |
|---|---|---|
retention_period |
string |
Specifies the retention period of an event based retention policy. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours or minutes. A period specified for years, months and days is represented in the ISO-8601 format as "P |
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"retention_period": "P30M",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response codes
| Error code | Description |
|---|---|
918253 |
Incorrect format for the retention period, duration must be in the ISO-8601 format or infinite or unspecified. |
13763280 |
Only a user with security login role "vsadmin-snaplock" is allowed to perform this operation. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
snaplock_retention_policy
| Name | Type | Description |
|---|---|---|
retention_period |
string |
Specifies the retention period of an event based retention policy. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours or minutes. A period specified for years, months and days is represented in the ISO-8601 format as "P |
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |